Index: src/superio/ite/it8718f/it8718f.h
===================================================================
--- src/superio/ite/it8718f/it8718f.h	(revision 5690)
+++ src/superio/ite/it8718f/it8718f.h	(working copy)
@@ -32,6 +32,7 @@
 
 #if defined(__PRE_RAM__) && !defined(__ROMCC__)
 void it8718f_24mhz_clkin(void);
+void it8718f_disable_reboot(void);
 void it8718f_enable_serial(device_t dev, unsigned iobase);
 #endif
 
Index: src/superio/ite/it8718f/it8718f_early_serial.c
===================================================================
--- src/superio/ite/it8718f/it8718f_early_serial.c	(revision 5690)
+++ src/superio/ite/it8718f/it8718f_early_serial.c	(working copy)
@@ -74,6 +74,19 @@
 	it8718f_exit_conf();
 }
 
+/*Gigabyte use special superIO register to protect its dual bios
+  mechanism. No spec mentioned this register, so just hardcoded it
+  to 0x7E.
+*/
+void it8718f_disable_reboot(void)
+{
+	it8718f_enter_conf();
+
+	it8718f_sio_write(0x07, 0xEF, 0x7E);
+
+	it8718f_exit_conf();
+}
+
 /* Enable the peripheral devices on the IT8718F Super I/O chip. */
 void it8718f_enable_serial(device_t dev, unsigned iobase)
 {
